%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif

%global reltag .GA
%global namedversion %{version}%{?reltag}
%global eapversion %{namedversion}_redhat_1
%global meadversion %{namedversion}-redhat-1

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 3.1.0.GA-redhat-1

Name: jboss-logging
Summary: The JBoss Logging Framework
Version: 3.1.0
Release: 5%{reltag}_redhat_1.1%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: org.jboss.logging-jboss-logging-3.1.0.GA-redhat-1-sources.zip
Source101: org.jboss.logging-jboss-logging-3.1.0.GA-redhat-1-patches.zip
Source102: jboss-logging-3.1.0.GA-redhat-1.pom
Source103: jboss-logging-3.1.0.GA-redhat-1-javadoc.jar
Source104: jboss-logging-3.1.0.GA-redhat-1-sources.jar
Source105: jboss-logging-3.1.0.GA-redhat-1.jar
%endif


Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%if %without mead
BuildRequires:  %{name}-mead = %{eapversion}
%endif
BuildRequires:  unzip

BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_mavenpomdir}

#poms
%if %without mead
install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{meadversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%else
install -pD -T -m 644 %{_sourcedir}/%{name}-%{meadversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%endif
%add_to_maven_depmap org.jboss.logging %{name} %{meadversion} JPP %{name}

#jars
%if %without mead
  install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{meadversion}.jar %{buildroot}%{_javadir}/%{name}-%{meadversion}.jar
%else
  install -pD -T -m 644 %{_sourcedir}/%{name}-%{meadversion}.jar %{buildroot}%{_javadir}/%{name}-%{meadversion}.jar
%endif

%if %without mead
  install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{meadversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{meadversion}-sources.jar
%else
  install -pD -T -m 644 %{_sourcedir}/%{name}-%{meadversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{meadversion}-sources.jar
%endif

%if %without mead
  install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{meadversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{meadversion}-javadoc.jar
%else
  install -pD -T -m 644 %{_sourcedir}/%{name}-%{meadversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{meadversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{meadversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{meadversion}||g"`; done)

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{meadversion}
%if %without mead
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{meadversion} %{_javadir}/jbossas-fordev/%{name}-%{meadversion}-javadoc.jar
%else
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{meadversion} %{_sourcedir}/%{name}-%{meadversion}-javadoc.jar
%endif
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{meadversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{meadversion} %{name})

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%exclude %dir %{_javadocdir}/%{name}
%{_javadir}*/%{name}-%{meadversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{meadversion}-javadoc.jar
%{_javadir}*/%{name}-javadoc.jar
%{_javadir}*/%{name}-%{meadversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{meadversion}
%{_javadocdir}/%{name}


%changelog
* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:3.1.0-5.GA_redhat_1.1
- Rebuild to use new wrapper

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> - 0:3.1.0-5.GA_redhat_1
- Upgrade to 3.1.0.GA
- clean build to only for wrapper rpm from mead

* Thu Dec 15 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-4.CR2_redhat_1
- Upgrade to 3.1.0.CR2

* Mon Nov 14 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-3.CR1_redhat_1
- Upgrade to 3.1.0.CR1

* Thu Nov 03 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-2.Beta3_redhat_1
- fix reltag to .Beta3

* Wed Nov 02 2011 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-1.GA_redhat_1
- Upgrade to 3.1.0.Beta3

* Fri Oct 28 2011 Lin Gao<lgao@redhat.com> - 0:3.0.1-5.GA_redhat_1
- fix signed jars issue.

* Thu Oct 27 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-4.GA_redhat_1
- Upgrade to 3.0.1.GA

* Wed Aug 31 2011 Hui Wang <huwang@redhat.com> - 0:3.0.0-3.5.GA_redhat_1
- RPM build against the wrapper rpm

* Thu Aug 25 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.2.GA_redhat_1
- Build for werewolf

* Mon Aug 15 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.1.GA_redhat_1
- Brew build

* Mon Aug 15 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.GA
- Brew Build

* Mon Jul 18 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-2.GA
- Upgrade to 3.0.0.GA

* Mon Jun 13 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-1.beta5
- First build with MEAD
